// ============================================================================
// CBP + FBO = MAS22 Simulation Framework
// 20-12-21
// MAS22_HUD.h
// ============================================================================

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/HUD.h"
#include "MAS22_Actor.h"
#include "MAS22_HUD.generated.h"

/**
 * 
 */
UCLASS()
class MAS22_SCIENCEPARK_API AMAS22_HUD : public AHUD
{
	GENERATED_BODY()

public:
	AMAS22_HUD();

	virtual void DrawHUD() override;

	//void SetTo(int pValue);

	void SetSelectedActor(AMAS22_Actor* Masac);
	void SetTo(int pValue);

	AMAS22_Actor* selectedActor;

private:
	class UTexture2D* Crosshair;
	int valToDisp;
	void dispText();

	UFont* HUDFont;

	void DispSelectedActorInfo();

	bool bActorIsSelected = false;

protected:
	
	// CBP 14-05-22
	//TSharedPtr<class SParamMenu> ParamWidget;
	TSharedPtr<class SWidget> ParamWidgetContainer;

	// CBP 14-05-22
	virtual void BeginPlay() override;
	
public:
	// CBP 14-05-22 - learning Widgets - can be removed ----------------------------
	void ShowMenu();
	void RemoveMenu();

};
