// ============================================================================
// CBP + FBO = MAS22 Simulation Framework
// 20-12-21
// MAS22_GameMode.cpp
// ============================================================================

#include "MAS22_GameMode.h"
#include "MAS22_PlayerController.h"
#include "MAS22_Pawn.h"
#include "MAS22_HUD.h"
#include "EngineUtils.h"
#include "MAS22_Actor.h"
//#include "MAS22_Planet.h"


AMAS22_GameMode::AMAS22_GameMode() :AGameModeBase()
{
	PlayerControllerClass = AMAS22_PlayerController::StaticClass();

	DefaultPawnClass = AMAS22_Pawn::StaticClass();

	HUDClass = AMAS22_HUD::StaticClass();

	//Possess(Cast<APawn>(MAS22_Pawn));
}

void AMAS22_GameMode::BeginPlay() {

	//FTransform spawnLocation;
	//spawnLocation.SetLocation(FVector(100.0, 0, 0));
	//GetWorld()->SpawnActor<AMAS22_Planet>(AMAS22_Planet::StaticClass(), spawnLocation); // This works

	// Finds the turbine and activates its message function
	for (TActorIterator<AMAS22_Actor> ActorItr(GetWorld()); ActorItr; ++ActorItr) {
		Masac = *ActorItr;

		Masac->Message();
		Masac->ActorInitialize();
	}
}