// Copyright Epic Games, Inc. All Rights Reserved.

using System.IO;
using UnrealBuildTool;

public class MAS22_SciencePark : ModuleRules
{
	//private string ThirdPartyPath
   // {
   //     get { return Path.GetFullPath( Path.Combine( ModuleDirectory, "../../ThirdParty/" ) ); }
   // }
	
	public MAS22_SciencePark(ReadOnlyTargetRules Target) : base(Target)
	{
		
		PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;
	
		//PublicIncludePaths.Add(Path.Combine(ThirdPartyPath, "BoostInternalLibrary", "includes"));
		//PublicSystemIncludePaths.Add(Path.Combine(ThirdPartyPath, "BoostInternalLibrary", "includes"));
	
		PublicDependencyModuleNames.AddRange(new string[] { "Core", "CoreUObject", "Engine", "InputCore" });

		//PublicDependencyModuleNames.AddRange(new string[] { "Core", "CoreUObject", "Engine", "InputCore", "RenderCore", "PhysicsCore", "PhysX", "PhysXVehicles", "PhysXVehicleLib" });

		PrivateDependencyModuleNames.AddRange(new string[] {"ProceduralMeshComponent" });

		 PrivateDependencyModuleNames.AddRange(new string[] { "Slate", "SlateCore" });
		
		// Uncomment if you are using online features
		// PrivateDependencyModuleNames.Add("OnlineSubsystem");

		// To include OnlineSubsystemSteam, add it to the plugins section in your uproject file with the Enabled attribute set to true
	}
}
