// =======================================================================
// SICsLineWidget.h
// CBP 08-06-22
// =======================================================================

#pragma once

#include "SlateBasics.h"
#include "SlateExtras.h"
#include "MAS22_PlayerController.h"
#include "SICsMenuWidget.h"

class  SICsLineWidget : public SCompoundWidget
{

public:

	SLATE_BEGIN_ARGS(SICsLineWidget) {}
	SLATE_ARGUMENT(TWeakObjectPtr<class AMAS22_PlayerController>, OwningPlayerController)
	SLATE_END_ARGS()

	void Construct(const FArguments& InArgs);

	void SpinBoxChanged(float newVal);

	void SetID(int id);
	void SetVal(double _val);

	int ID;
	double val;

	void SendParamToPlayerController();
	float GetUpdatedValue() const;

	void SetMenuWidget(SICsMenuWidget* menuWidget);
	class SICsMenuWidget* menuWidget;
};
